# Class PlayerQualityLevelsChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerQualityLevelsChangedEvent

#####
Index

### Constructors

constructor

### Properties

levels
type

## Constructors

### constructor

- new PlayerQualityLevelsChangedEvent(levels): PlayerQualityLevelsChangedEvent

- #### Parameters

  - levels: QualityLevel[]

  #### Returns PlayerQualityLevelsChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` levels

levels: QualityLevel[]

### `Readonly` type

type: "playerQualityLevelsChanged" = Events.PlayerQualityLevelsChanged

Overrides BasePlayerEvent.type